Name:		rftask
Version:	2.5	
Release:	5%{?dist}
Source:		rftask-%{version}.tar.gz
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
Group:		Applications/System
Summary:	Red Flag Task Manager
BuildPrereq:	qt-devel
License:	GPL

#Asianux
%description
RedFlag Task Manager is an open source software developed by Redflag Software Corporation. It serves as a task administrator to managing the processes running currently. It can also show us the CPU and network using condition via a set of charts.

%prep
%setup -q 

%build
unset QTDIR && . /etc/profile.d/qt.sh
qmake
touch Makefile
%ifarch x86_64
export libstuff=64;qmake;make
%else
qmake
make
%endif

%install
rm -rf $RPM_BUILD_ROOT

unset QTDIR && . /etc/profile.d/qt.sh
%makeinstall
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps/
mkdir -p $RPM_BUILD_ROOT/usr/share/rftask
mkdir -p $RPM_BUILD_ROOT/usr/share/rftask/doc
mkdir -p $RPM_BUILD_ROOT/usr/share/rftask/icons
mkdir -p $RPM_BUILD_ROOT/usr/share/rftask/icons_ja
mkdir -p $RPM_BUILD_ROOT/usr/share/rftask/icons_zh_CN
mkdir -p $RPM_BUILD_ROOT/usr/share/rftask/doc/img-en
mkdir -p $RPM_BUILD_ROOT/usr/share/rftask/doc/img-ja
mkdir -p $RPM_BUILD_ROOT/usr/share/rftask/doc/img-ko_KR
mkdir -p $RPM_BUILD_ROOT/usr/share/rftask/doc/img-zh_CN
mkdir -p $RPM_BUILD_ROOT/usr/share/rftask/doc/img-zh_TW
mkdir -p $RPM_BUILD_ROOT/usr/share/applnk/Settings
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/khwtree/GroupSys

cp rftask $RPM_BUILD_ROOT/usr/bin
cp *qm $RPM_BUILD_ROOT/usr/share/rftask
cp icons/*xpm $RPM_BUILD_ROOT/usr/share/rftask/icons
cp icons/*png $RPM_BUILD_ROOT/usr/share/rftask/icons
cp icons_ja/*png $RPM_BUILD_ROOT/usr/share/rftask/icons_ja
cp icons_zh_CN/*png $RPM_BUILD_ROOT/usr/share/rftask/icons_zh_CN
cp doc/*html $RPM_BUILD_ROOT/usr/share/rftask/doc
cp doc/*xml $RPM_BUILD_ROOT/usr/share/rftask/doc
cp doc/img-en/*.png $RPM_BUILD_ROOT/usr/share/rftask/doc/img-en
cp doc/img-ko_KR/*.png $RPM_BUILD_ROOT/usr/share/rftask/doc/img-ko_KR
cp doc/img-ja/*.png $RPM_BUILD_ROOT/usr/share/rftask/doc/img-ja
cp doc/img-zh_CN/*.png $RPM_BUILD_ROOT/usr/share/rftask/doc/img-zh_CN
cp doc/img-zh_TW/*.png $RPM_BUILD_ROOT/usr/share/rftask/doc/img-zh_TW
cp rftask.desktop $RPM_BUILD_ROOT/usr/share/applnk/Settings/
cp rftask.desktop $RPM_BUILD_ROOT/etc/sysconfig/khwtree/GroupSys/
cp icons/rftask.xpm $RPM_BUILD_ROOT/usr/share/pixmaps/

## License File ##
install -m 644 COPYING $RPM_BUILD_ROOT/usr/share/rftask

%post
chmod 700 /usr/bin/rftask

%postun

%files
/usr/bin/rftask
/usr/share/rftask/*qm
/usr/share/rftask/doc/*html
/usr/share/rftask/doc/*xml
/usr/share/rftask/doc/img-en/*.png
/usr/share/rftask/doc/img-ja/*.png
/usr/share/rftask/doc/img-ko_KR/*.png
/usr/share/rftask/doc/img-zh_CN/*.png
/usr/share/rftask/doc/img-zh_TW/*.png
/usr/share/rftask/icons/*xpm
/usr/share/rftask/icons/*png
/usr/share/rftask/icons_ja/*png
/usr/share/rftask/icons_zh_CN/*png
/usr/share/applnk/Settings/rftask.desktop
/etc/sysconfig/khwtree/GroupSys/rftask.desktop
/usr/share/pixmaps/rftask.xpm
/usr/share/rftask/COPYING
%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Thu Nov 5 2009 Zhao Min <zhaomin@redflag-linux.com> 2.5-5%{?dist}
- chmod 700 for rftask, make only root can run it in cmd.

* Fri Dec 12 2008 Hua Jie <jiehua@redflag-linux.com> 2.5-4%{?dist}
- include desktop file in correct directory for KDE menu
- include desktop file for control panel
- update the procps header files to the correct version in AXS3SP3

* Tue Nov 25 2008 Hua Jie <jiehua@redflag-linux.com> 2.5-3%{?dist}
- exclude command set-sysmgt-tasks(AXBug#5544)

* Tue Oct 15 2008 Zhao Min <zhaomin@redflag-linux.com> 2.5-2%{?dist}
- modify rftask.pro,Makefile,RFTaskManager.cpp so that can use AX3.0SP1 source code in AX2.0SP2

* Tue Aug 29 2008 Zhao Min <zhaomin@redflag-linux.com> 2.5-1%{?dist}
- modify rftask_manual_zh_TW.html in doc to fix bug -bugzilla 4892 which is reopened

* Tue Aug 19 2008 Zhao Min <zhaomin@redflag-linux.com> 2.4-1%{?dist}
- move Source10 to Source:rftask-%{version}.tar.gz
- modify html files in doc to fix bug -bugzilla 4892
- move the new patch to CVS to modify phMemory's label length.(Patch#0)

* Mon Jul 21 2008 Lee, Jongwoo <oopslee@haansoft.com> 2.3-3%{?dist}
- add license file (Source#11)
- modify phMemory's label length. (Patch#0)

* Tue Apr 15 2008 Nam, Kwonwoo <kwnam@haansoft.com> 2.3-2%{?dist}
- change Aternate Command Names (SOURCE10) for display some message
  when command run without X - bugzilla 4103

* Wed Apr 1 2008 He Tao <taohe@redflag-linux.com> 2.3-1%{?dist}
- upgrade version 2.3-1

* Mon Mar 03 2008 Nam, Kwonwoo <kwnam@haansoft.com> 2.2-11AXS3
- add Aternate Command Names (SOURCE10) - bugzilla 3978

* Thu Feb 26 2008 He Tao <taohe@redflag-linux.com> 2.2-11AX
- add a ui instead of the static method form to get message content, which will cause a X_Error problem.

* Thu Dec 20 2007 Wang Bo <bowang@redflag-linux.com> 2.2-10AX
- fix tow refresh menu entries problem and help menu come back.
- add new manual, thanks to hwanii Jung (the author of English and Korean edition) and 
- Mika Kamei (Japanese translator).

* Sat Sep 08 2007 Hua Jie <jiehua@redflag-linux.com> 2.2-9AX
- add patch1 to fix two refresh entries problem and remove help menu

* Thu Aug 16 2007 Hua Jie <jiehua@redflag-linux.com> 2.2-8AX
- remove documents

* Tue Aug 14 2007 Wang Diancheng <dcwang@redflag-linux.com> 2.2-7AX
- merge all patches to CVS, commit Japanese translated manual and messages to CVS
- fix a typo in main menu(Menual), fix a bug: English manual use Chinese screenshot.
- fix a bug: get incorrect process's start time.

* Thu Aug 02 2007 Mika Kamei <mkamei@miraclelinux.com> 2.2-6AX
- add Japanese translated manual (A part of #3266)

* Wed Jul 18 2007 Ryoji Kamei <kamei@miraclelinux.com> 2.2-5AX
- Update Japanese messages (A part of #3266)

* Wed Jul 11 2007 Ki-Young, Lee <kylee@haansoft.com> 2.2-4AX
- added to rftask-2.2-asianux-desktop_categories.patch

* Mon May 21 2007 Wang Bo<bowang@redflag-linux.com>2.2-3AX
- fix user and group column not display in process list, can select CPU
  in performace panel on a multi-processor machine, now

* Tue May 15 2007 Wang Diancheng <dcwang@redflag-linux.com> 2.2-2AX
- merge with redflag cvs, change control panel's desktop file to directory Group2Sys

* Tue Apr 17 2007 Hua Jie <jiehua@redflag-linux.com> 2.1-9AX
- modify for procps-3.2.7

* Mon Jul 17 2006 He tao <taohe@redflag-linux.com> 2.2-1
- correct the wrong displays of memory while the total memory >= 4G

* Thu May 12 2006 Shu Li <shuli@redflag-linux.com> 2.1-8AX
- remove vendor Packager

* Thu Nov 9 2005 Wang Siyuan <sywang@redflag-linux.com> 2.2-0
- correct pcpu counting method.

* Wed Sep 28 2005 Hua Jie <jiehua@redflag-linux.com> 2.1-7
- modify some Korean strings

* Thu Jul 14 2005 Wang Siyuan <sywang@redflag-linux.com> 2.1-6
- modify spec for ppc64

* Mon Jun 6  2005 Wang SiYuan <sywang@redflag-linux.com> 2.1-3
- add big5 help doc.

* Fri May 27 2005 Wang SiYuan <sywang@redflag-linux.com> 2.1
- add right_button popup menu to window application list view.

* Tue May 26 2005 Wang SiYuan <sywang@redflag-linux.com> 2.0
- add Shift_To function to application management page, which should be implimented earlier.

* Wed May 25 2005 Wang SiYuan <sywang@redflag-linux.com> 1.9
- fix the old bug about the application table can not display all app icons.

* Mon May 16 2005 Wang SiYuan <sywang@redflag-linux.com> 1.8
- add Korea language support

* Tue May 12 2005 Wang SiYuan <sywang@redflag-linux.com> 1.7
- add zh_TW support

* Thu Apr 05 2005 Wang SiYuan <sywang@redflag-linux.com>
- update for procps-3.2.3.

* Wed Dec 29 2004 Zou Pengcheng <pczou@redflag-linux.com> 1.5
- prevent X server from being killed.

* Thu Aug 05 2004 Zou Pengcheng <pczou@redflag-linux.com>
- misc bug fixes for desktop 4.1

* Mon Jul 19 2004 Zou Pengcheng <pczou@redflag-linux.com> 1.3-1
- IA64 port. fix sysinfo mem_unit bug.

* Fri Jun 11 2004 Zou Pengcheng <pczou@redflag-linux.com> 1.2-1
- more bug fixes. #3040 ...

* Thu Jun 10 2004 Zou Pengcheng <pczou@redflag-linux.com>
- misc bug fixes.

* Fri Jan 9 2004 Wang SiYuan <sywang@redflag-linux.com>
- 


